import { NoiseType } from '../NoiseType';
import { INorm } from '@thi.ng/random';
/** Reverb Option */
export default interface OptionInterface {
    /**
     * IR (Inpulse Response) colord noise algorithm (BLUE, GREEN, PINK, RED, VIOLET, WHITE)
     * @see {@link https://github.com/thi-ng/umbrella/tree/develop/packages/colored-noise}
     */
    noise: NoiseType;
    /** IR source noise scale */
    scale: number;
    /** Number of IR source noise peaks */
    peaks: number;
    /**
     * Randam noise algorythm
     * @see {@link https://github.com/thi-ng/umbrella/tree/develop/packages/random}
     */
    randomAlgorithm: INorm;
    /** Decay */
    decay: number;
    /** Delay until impulse response is generated */
    delay: number;
    /** Filter frequency applied to impulse response[Hz] */
    filterFreq: number;
    /** Filter quality for impulse response */
    filterQ: number;
    /** Filter type for impulse response */
    filterType: BiquadFilterType;
    /** Dry/Wet ratio */
    mix: number;
    /** Invert the impulse response */
    reverse?: boolean;
    /** Impulse response length */
    time: number;
    /** Prevents multiple effectors from being connected. */
    once: boolean;
}
/** Default Value */
export declare const defaults: OptionInterface;
